Bug 1140271 (CVE-2014-7156) - CVE-2014-7156 kernel: xen: Missing privilege level checks in x86 emulation of software interrupts (XSA-106)
Summary: CVE-2014-7156 kernel: xen: Missing privilege level checks in x86 emulation of...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-7156
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1145738
Blocks: 1140259
TreeView+ depends on / blocked
 
Reported: 2014-09-10 15:39 UTC by Petr Matousek
Modified: 2019-09-29 13:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-10 15:43:09 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-09-10 15:39:24 UTC
The emulation of instructions which generate software interrupts fails
to perform supervisor mode permission checks.

Malicious HVM guest user mode code may be able to crash the guest.

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.

Comment 3 Petr Matousek 2014-09-10 15:43:09 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

Comment 4 Petr Matousek 2014-09-23 15:22:32 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1145738]


Note You need to log in before you can comment on or make changes to this bug.